Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: gnome-mpv

gnome-mpv (0.14-1ubuntu1) cosmic; urgency=low * Merge from Debian Sid. Remaining changes: - Depend on Python 3 instead of Python 2 (LP: #1465313). -- Simon Quigley <tsimonq2@ubuntu.com> Wed, 13 Jun 2018 01:53:47 -0500

Modifications :
  1. Download patch debian/control

    --- 0.14-1/debian/control 2018-05-18 07:24:47.000000000 +0000 +++ 0.14-1ubuntu1/debian/control 2018-06-13 06:53:47.000000000 +0000 @@ -1,7 +1,8 @@ Source: gnome-mpv Section: video Priority: optional -Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org> Uploaders: Ximin Luo <infinity0@debian.org> Build-Depends: debhelper (>= 9), appstream-util, @@ -11,7 +12,7 @@ Build-Depends: debhelper (>= 9), libgtk-3-dev (>= 3.22), libmpv-dev (>= 0.21), pkg-config, - python + python3 Standards-Version: 4.1.1 Homepage: https://github.com/gnome-mpv/gnome-mpv Vcs-Git: https://salsa.debian.org/multimedia-team/gnome-mpv.git

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: mpv

mpv (0.27.2-1ubuntu2) cosmic; urgency=medium * No-change rebuild for libcdio soname change. -- Matthias Klose <doko@ubuntu.com> Thu, 14 Jun 2018 00:35:28 +0000 mpv (0.27.2-1ubuntu1) bionic; urgency=medium * Merge from Debian unstable (LP: #1753472). Remaining changes: - Prefer Wayland over X11, so if both are present (e.g. Xwayland) then VA-API gets a display type that works. (LP: #1698287) - Enable VA-API hardware acceleration by default. (LP: #1708102, LP: #1737670, LP: #1728514) -- James Cowgill <jcowgill@debian.org> Mon, 09 Apr 2018 15:17:34 +0100

Modifications :
  1. Download patch debian/patches/08_fix-lp1698287.patch

    --- 0.27.2-1/debian/patches/08_fix-lp1698287.patch 1970-01-01 00:00:00.000000000 +0000 +++ 0.27.2-1ubuntu2/debian/patches/08_fix-lp1698287.patch 2018-04-09 14:17:34.000000000 +0000 @@ -0,0 +1,33 @@ +Description: Prefer native Wayland over X11 if both are present + In Gnome Shell with Xwayland running, both options are present but only + one will work with libva (VA-API). This is because libva only supports DRI2 + and Xwayland only supports DRI3. So libva fails to initialize using the x11 + option. So we force mpv to use native Wayland instead, which libva supports + properly (albeit without a titlebar). (LP: #1698287) +Author: Daniel van Vugt <daniel.van.vugt@canonical.com> +Bug-Ubuntu: https://bugs.launchpad.net/bugs/1698287 +Forwarded: yes +Last-Update: 2017-08-09 + +--- a/video/out/opengl/context.c 2017-04-23 07:57:53.000000000 +0800 ++++ b/video/out/opengl/context.c 2017-06-28 16:05:12.884011509 +0800 +@@ -65,6 +65,9 @@ + #if HAVE_GL_DXINTEROP + &mpgl_driver_dxinterop, + #endif ++#if HAVE_GL_WAYLAND ++ &mpgl_driver_wayland, ++#endif + #if HAVE_GL_X11 + &mpgl_driver_x11_probe, + #endif +@@ -74,9 +77,6 @@ + #if HAVE_GL_X11 + &mpgl_driver_x11, + #endif +-#if HAVE_GL_WAYLAND +- &mpgl_driver_wayland, +-#endif + #if HAVE_EGL_DRM + &mpgl_driver_drm, + &mpgl_driver_drm_egl,
  2. Download patch debian/rules

    --- 0.27.2-1/debian/rules 2018-02-12 19:54:41.000000000 +0000 +++ 0.27.2-1ubuntu2/debian/rules 2018-04-09 14:17:34.000000000 +0000 @@ -34,6 +34,7 @@ override_dh_auto_build: override_dh_auto_install: python3 ./waf -v install --destdir=debian/tmp + cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf override_dh_installchangelogs: dh_installchangelogs RELEASE_NOTES
  3. Download patch debian/control

    --- 0.27.2-1/debian/control 2018-02-12 21:38:33.000000000 +0000 +++ 0.27.2-1ubuntu2/debian/control 2018-04-09 14:17:34.000000000 +0000 @@ -1,7 +1,8 @@ Source: mpv Section: video Priority: optional -Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org> Uploaders: Alessandro Ghedini <ghedo@debian.org>, Reinhard Tartler <siretart@tauware.de>, James Cowgill <jcowgill@debian.org>
  4. Download patch debian/patches/series

    --- 0.27.2-1/debian/patches/series 2018-02-12 21:38:33.000000000 +0000 +++ 0.27.2-1ubuntu2/debian/patches/series 2018-04-09 14:17:34.000000000 +0000 @@ -5,3 +5,4 @@ 06_ffmpeg-abi.patch 07_io-stdin-used.patch 08_vaapi-Use-libva2-message-callbacks.patch +08_fix-lp1698287.patch
  5. Download patch debian/mpv.conf.ubuntu

    --- 0.27.2-1/debian/mpv.conf.ubuntu 1970-01-01 00:00:00.000000000 +0000 +++ 0.27.2-1ubuntu2/debian/mpv.conf.ubuntu 2018-04-09 14:17:34.000000000 +0000 @@ -0,0 +1 @@ +hwdec=vaapi
  1. gnome-mpv
  2. mpv